Установка Android Studio не работает с gradle

Я абсолютно новичок в Android Studio (особенно Gradle) и испытываю большие проблемы с работой Android Studio. Я загрузил и установил самую последнюю версию Android Studio (0.8.0). Я установил переменную JDK_HOME. Однако после создания нового проекта я всегда получаю следующее сообщение:

Error:Unknown host 'jcenter.bintray.com'. 
Enable Gradle 'offline mode' and sync project.
Learn about configuring HTTP proxies in Gradle

Если я попытаюсь скомпилировать проект, я получаю следующее диалоговое окно сообщения:

После прочтения сообщения я вручную загрузил двоичные файлы Gradle (последний, 2.0), извлек его на локальный диск, перешел в "Настройки" и установил путь Gradle к соответствующему каталогу, используя следующее:

Я также подстроил файл build.gradle в проекте, чтобы указать на последнюю версию Gradle 2.0. Однако теперь я получаю следующее сообщение об ошибке:

Error:A problem occurred configuring root project 'HelloAndroidStudio'.
Could not resolve all dependencies for configuration ':classpath'.
Could not resolve com.android.tools.build:gradle:2.0.+.
Required by:
 :HelloAndroidStudio:unspecified
 Failed to list versions for com.android.tools.build:gradle.
 Unable to load Maven meta-data from http://jcenter.bintray.com/com/android/tools/build/gradle/maven-metadata.xml.
 Could not GET 'http://jcenter.bintray.com/com/android/tools/build/gradle/maven-metadata.xml'.
 jcenter.bintray.com

Пожалуйста, помогите кому-нибудь. Будучи в первый раз с Gradle, я пробовал столько дней без всякой подсказки к проблеме. Спасибо.

3 ответа

Измените версию Gradle на более низкие и перезапустите Android Studio, вы можете получить ее.

Добавьте это в build.gradle classpath 'com.android.tools.build: gradle:1.1.0'


Настройка http_proxy по внешнему виду и поведению → системные настройки → HTTP-прокси решил проблему


Перейдите к последнему пути к классам в зависимостях. Для AS 1.5.1 я сделаю вот так:

buildscript {
repositories {
 jcenter()
 }
dependencies {
 **classpath 'com.android.tools.build:gradle:1.5.0'**
 }
}

licensed under cc by-sa 3.0 with attribution.